/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wahlvorschlag.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagsdokumentConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WahlvorschlagsdokumentMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahlvorschlagsdokumentMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlvorschlagsdokumentMeta";

  @Inject
  private transient Messages messages;

  public WahlvorschlagsdokumentMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAnzahlEinzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_ANZAHL_EINZAHL;
  }

  public String getAnzahlMehrzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_ANZAHL_MEHRZAHL;
  }


  public String getAnzahlEinzahlMessage(){
    return getMessage(getAnzahlEinzahlMessageKey());
  }

  public String getAnzahlMehrzahlMessage(){
    return getMessage(getAnzahlMehrzahlMessageKey());
  }



  public boolean isAnzahlRequired() {
    return !WahlvorschlagsdokumentConstants.ANZAHL_NULLABLE;
  }

  public java.lang.Long getAnzahlDefaultValue() {
    return WahlvorschlagsdokumentConstants.ANZAHL_DEFAULT_VALUE;
  }

  public int getAnzahlMaxLength() {
    return WahlvorschlagsdokumentConstants.ANZAHL_MAX_LENGTH;
  }

  public long getAnzahlMinValue() {
    return WahlvorschlagsdokumentConstants.ANZAHL_MIN_VALUE;
  }

  public long getAnzahlMaxValue() {
    return WahlvorschlagsdokumentConstants.ANZAHL_MAX_VALUE;
  }

  public String getWahlvorschlagsdokumentArtEinzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_WAHLVORSCHLAGSDOKUMENT_ART_EINZAHL;
  }

  public String getWahlvorschlagsdokumentArtMehrzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_WAHLVORSCHLAGSDOKUMENT_ART_MEHRZAHL;
  }


  public String getWahlvorschlagsdokumentArtEinzahlMessage(){
    return getMessage(getWahlvorschlagsdokumentArtEinzahlMessageKey());
  }

  public String getWahlvorschlagsdokumentArtMehrzahlMessage(){
    return getMessage(getWahlvorschlagsdokumentArtMehrzahlMessageKey());
  }



  public boolean isWahlvorschlagsdokumentArtRequired() {
    return !WahlvorschlagsdokumentConstants.WAHLVORSCHLAGSDOKUMENT_ART_NULLABLE;
  }

  public de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagsdokumentArt getWahlvorschlagsdokumentArtDefaultValue() {
    return WahlvorschlagsdokumentConstants.WAHLVORSCHLAGSDOKUMENT_ART_DEFAULT_VALUE;
  }



  public String getWahlvorschlagEinzahlMessageKey(){
    return WahlvorschlagsdokumentConstants.MESSAGE_KEY_WAHLVORSCHLAG_ID_EINZAHL;
  }

  public String getWahlvorschlagEinzahlMessage(){
    return getMessage(getWahlvorschlagEinzahlMessageKey());
  }

  public boolean isWahlvorschlagRequired() {
    return !WahlvorschlagsdokumentConstants.WAHLVORSCHLAG_ID_NULLABLE;
  }

}